part of web;

class BuildBook extends StatelessWidget {
  final BookDetailModel bookDetailModel;
  const BuildBook({
    Key? key,
    required this.bookDetailModel
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.symmetric(horizontal: 15.w),
      child: Column(
        children: [
          Container(
            padding: EdgeInsets.only(top: 12.w,bottom: 12.w),
            // color: Colors.red,
            child: Row(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                CustomCard(
                  width: 72.w,
                  height: 86.w,
                  url: bookDetailModel.img??'',
                ),
                Container(
                  height: 87.w,
                  margin: EdgeInsets.only(left: 13.w),
                  // color: Colors.green,
                  child: Column(
                    mainAxisAlignment: MainAxisAlignment.spaceBetween,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Column(
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          Text(bookDetailModel.bookName??'',style:  TextStyle(fontSize: 14.w,height: 1.5,fontWeight: Fonts.medium,color: Colours.c3),),
                          Text(bookDetailModel.authors??'',style:  TextStyle(fontSize: 12.w,height: 1.5,color: Colours.c6),),
                        ],
                      ),
                    ],
                  ),
                )
              ],
            ),
          )
        ],
      ),
    );
  }
}
